glab(1)

NAME
glab-gpg-key-add - Add a GPG key to your GitLab account.

SYNOPSIS
glab gpg-key add [key-file] [flags]

DESCRIPTION
Creates a new GPG key owned by the currently authenticated user.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    # Read GPG key from stdin and upload.
    glab gpg-key add
    # Read GPG key from specified key file and upload.
    glab gpg-key add ~/.gnupg/pubkey.asc

SEE ALSO
glab-gpg-key(1)